//**********************************************************************
//
//  All credits goes to Sock ! 
//

//**********************************************************************//
//                                                                      //
// PLAYERCLIP                                                           //
//                                                                      //
//**********************************************************************//
textures/psygoito/playerclip
{
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
}

//**********************************************************************//
//                                                                      //
// STICK WALLS                                                          //
//                                                                      //
//**********************************************************************//
textures/psygoito/mat4a_slick
{
    qer_editorimage textures/psygoito/mat4a.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/psygoito/mat4a.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/psygoito/met_wall01a_slick
{
    qer_editorimage textures/psygoito/met_wall01a.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/psygoito/met_wall01a.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/psygoito/met_wall01b_slick
{
    qer_editorimage textures/psygoito/met_wall01b.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/psygoito/met_wall01b.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/psygoito/met_wall01c_slick
{
    qer_editorimage textures/psygoito/met_wall01c.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/psygoito/met_wall01c.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/psygoito/met_wall01d_slick
{
    qer_editorimage textures/psygoito/met_wall01d.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map textures/psygoito/met_wall01d.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//**********************************************************************//
//                                                                      //
// FLOOR 01A                                                            //
//                                                                      //
// Jump Pads - 1 rot swirl + 1 jumppad stretch                          //
//**********************************************************************//
textures/psygoito/jp_round_blue_floor01a
{
    qer_editorimage textures/psygoito/jp01a.tga
    q3map_lightimage textures/psygoito/jumppadsmall_b.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/blue_telep.tga
        tcmod rotate 180
        tcMod stretch sin 0.8 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_b.tga
        blendfunc ADD
        tcMod stretch sin 0.95 .7 0 1.1
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp01a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/psygoito/jp_round_gold_floor01a
{
    qer_editorimage textures/psygoito/jp01a.tga
    q3map_lightimage textures/psygoito/jumppadsmall_g.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/gold_telep.tga
        tcmod rotate 180
        tcMod stretch sin .8 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_g.tga
        blendfunc ADD
        tcMod stretch sin 0.95 .7 0 1.25
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp01a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/psygoito/jp_round_red_floor01a
{
    qer_editorimage textures/psygoito/jp01a.tga
    q3map_lightimage textures/psygoito/jumppadsmall_r.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/red_telep.tga
        tcmod rotate 180
        tcMod stretch sin 1 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_r.tga
        blendfunc ADD
        tcMod stretch sin 2 .8 0 1.25
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp01a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//**********************************************************************//
//                                                                      //
// FLOOR 16B                                                            //
//                                                                      //
// Jump Pads - 1 rot swirl + 1 jumppad stretch                          //
//**********************************************************************//
textures/psygoito/jp_cross_blue_floor16b
{
    qer_editorimage textures/psygoito/jp16b.tga
    q3map_lightimage textures/psygoito/jumppadsmall_b.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/blue_telep.tga
        tcmod rotate 180
        tcMod stretch sin 0.8 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_b.tga
        blendfunc ADD
        tcMod stretch sin 0.95 .7 0 1.1
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp16b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
        {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/psygoito/jp_cross_gold_floor16b
{
    qer_editorimage textures/psygoito/jp16b.tga
    q3map_lightimage textures/psygoito/jumppadsmall_g.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/gold_telep.tga
        tcmod rotate 180
        tcMod stretch sin .8 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_g.tga
        blendfunc ADD
        tcMod stretch sin 0.95 .7 0 1.25
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp16b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/psygoito/jp_cross_red_floor16b
{
    qer_editorimage textures/psygoito/jp16b.tga
    q3map_lightimage textures/psygoito/jumppadsmall_r.tga 
    q3map_surfacelight 1000
    {
        map textures/psygoito/red_telep.tga
        tcmod rotate 180
        tcMod stretch sin 1 0.1 0 .5
    }
    {
        clampmap textures/psygoito/jumppadsmall_r.tga
        blendfunc ADD
        tcMod stretch sin 2 .8 0 1.25
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map textures/psygoito/jp16b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//**********************************************************************//
// GRATE : 256x256 designs                                              //
//**********************************************************************//
textures/psygoito/grate1a_trans
{
    qer_editorimage textures/psygoito/grate1a.tga
    surfaceparm metalsteps
    cull none
    {
        map textures/psygoito/grate1a.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/psygoito/grate1b_trans
{
    qer_editorimage textures/psygoito/grate1b.tga
    surfaceparm metalsteps
    cull none
    {
        map textures/psygoito/grate1b.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/psygoito/grate2a_trans
{
    qer_editorimage textures/psygoito/grate2a.tga
    surfaceparm metalsteps
    surfaceparm nodamage
    cull none
    {
        map textures/psygoito/grate2a.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/psygoito/grate2b_trans
{
    qer_editorimage textures/psygoito/grate2b.tga
    surfaceparm metalsteps
    cull none
    {
        map textures/psygoito/grate2b.tga
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}



//**********************************************************************//
//                                                                      //
// CEIL                                                                 //
//                                                                      //
//**********************************************************************//
textures/psygoito/s256-01a
{
    qer_editorimage textures/psygoito/s256-01a.jpg
    surfaceparm slick
    surfaceparm nodamage
    q3map_surfacelight 200
    {
        map textures/psygoito/s256-01a.jpg
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}


//**********************************************************************//
// LIGHT 032 - 05 : Single stripe Left to Right (No White)              //
//**********************************************************************//
textures/psygoito/lig_032-05b1-2k
{
    qer_editorimage textures/psygoito/032lig20ba.tga
    q3map_lightimage textures/psygoito/032lig20blue.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20ba.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20blue.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}

textures/psygoito/lig_032-05b2-2k
{
    qer_editorimage textures/psygoito/032lig20bb.tga
    q3map_lightimage textures/psygoito/032lig20b.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20bb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20b.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}

//**********************************************************************//
textures/psygoito/lig_032-05r1-2k
{
    qer_editorimage textures/psygoito/032lig20ra.tga
    q3map_lightimage textures/psygoito/032lig20red.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20ra.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20red.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}

textures/psygoito/lig_032-05r2-2k
{
    qer_editorimage textures/psygoito/032lig20rb.tga
    q3map_lightimage textures/psygoito/032lig20r.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20rb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20r.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}

//**********************************************************************//
textures/psygoito/lig_032-05y1-2k
{
    qer_editorimage textures/psygoito/032lig20ya.tga
    q3map_lightimage textures/psygoito/032lig20yellow.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20ya.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20yellow.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}

textures/psygoito/lig_032-05y2-2k
{
    qer_editorimage textures/psygoito/032lig20yb.tga
    q3map_lightimage textures/psygoito/032lig20y.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map textures/psygoito/032lig20yb.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/032lig20y.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sawtooth .6 .1 0 7
    }
}



//**********************************************************************//
//                                                                      //
// LAVA / WATER                                                         //
//                                                                      //
//**********************************************************************//
textures/psygoito/lava
{
    qer_editorimage textures/psygoito/lava.tga
    q3map_globaltexture
    surfaceparm water
    surfaceparm trans 
    surfaceparm noimpact
    surfaceparm nodamage
    q3map_surfacelight 600
    tesssize 64
    cull disable
    deformVertexes wave 96 sin 4 8 0.15 0.3 
    {
        map textures/psygoito/lava.tga
        tcmod scale 0.5 0.5
        tcmod scroll 0 0
        tcMod turb 0.1 .1 0.01 .01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
}

textures/psygoito/lavazul
{
    qer_editorimage textures/psygoito/lavazul.tga
    q3map_globaltexture
    surfaceparm water
    surfaceparm trans 
    surfaceparm noimpact
    surfaceparm nodamage
    q3map_surfacelight 350
    tesssize 64
    cull disable
    deformVertexes wave 96 sin 4 8 0.15 0.3 
    {
        map textures/psygoito/lavazul.tga
        tcmod scale 0.5 0.5
        tcmod scroll 0 0
        tcMod turb 0.1 .1 0.01 .01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
}



//**********************************************************************//
// LIGHT 128 - 03 : Octagon shape - Circle in center                    //
//**********************************************************************//
textures/psygoito/lig_128-03b3-2k
{
    qer_editorimage textures/psygoito/octlig01bc.tga
    q3map_lightimage textures/psygoito/sqrlig02b2.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/psygoito/octlig01bc.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig02b2.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}



//**********************************************************************//
// LIGHT 128 - 02 : Square light source on 128x128 tex bckgrd           //
//**********************************************************************//
textures/psygoito/lig_128-02b3-2k
{
    qer_editorimage textures/psygoito/sqrlig03bc.tga
    q3map_lightimage textures/psygoito/sqrlig03blue.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03bc.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03blue.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/psygoito/lig_128-02r3-2k
{
    qer_editorimage textures/psygoito/sqrlig03rc.tga
    q3map_lightimage textures/psygoito/sqrlig03red.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03rc.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03red.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/psygoito/lig_128-02y3-2k
{
    qer_editorimage textures/psygoito/sqrlig03yc.tga
    q3map_lightimage textures/psygoito/sqrlig03yellow.blend.tga
    q3map_surfacelight 2000
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03yc.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/psygoito/sqrlig03yellow.blend.tga
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}